/// <reference types="react" />
import { ReactWidget } from "@jupyterlab/apputils";
import { Widget } from "@lumino/widgets";
import { IEnvironmentManager } from "./tokens";
export declare const condaEnvId = "jupyterlab_conda:plugin";
/**
 * Phosphor Widget encapsulating the Conda Environments & Packages Manager
 */
export declare class CondaEnvWidget extends ReactWidget {
    /**
     * Widget height
     */
    private height;
    /**
     * Widget width
     */
    private width;
    /**
     * Conda environment Manager
     */
    private envModel;
    constructor(height: number, width: number, envModel: IEnvironmentManager);
    protected onResize(msg: Widget.ResizeMessage): void;
    render(): JSX.Element;
}
