import * as React from "react";
/**
 * Environment item properties
 */
export interface IEnvItemProps {
    /**
     * Environment name
     */
    name: string;
    /**
     * Is the environment selected?
     */
    selected?: boolean;
    /**
     * Environment item click handler
     */
    onClick(name: string): void;
}
/**
 * Environment item component
 */
export declare const CondaEnvItem: React.FunctionComponent<IEnvItemProps>;
